## acgvision-agent 5.1.4

=== debian/changelog ===
acgvision-agent (5.1.4-6) unstable; urgency=low

  - Improving description format.(Closes: #584937)
  * Purging  /var/log/acgvision on remove.
  * Adding default options on configuration script.
  * Removing extension on config file for acg scripts.
  * Removing $time from init.d script.(Closes: #585879)
  * Removing java:depends from dependencies and filling dependencies manually (Closes: #586783)
  * Removing junit tests on build.

 -- Rémi Debay <remi.debay@acgcenter.com>  Tue, 22 Jun 2010 17:24:49 +0200

acgvision-agent (5.1.4-5) unstable; urgency=low

  * Initial release (Closes: #578719)
  * Deleted informations about InstallCert.java on copyright file.

 -- Rémi Debay <remi.debay@acgcenter.com>  Tue, 27 Apr 2010 09:34:40 +0200

acgvision-agent (5.1.4-4) unstable; urgency=low
 
  * Initial release (Closes: #578719)
  * Replaced download source on copyright file.
  * Changed licence from gplv2 to gplv3 as the code is under gplv3.
  * Changed link to gplv3 licence.
  * Deleted etc/InstallCert.java as the file is sun copyrighted.

 -- Rémi Debay <remi.debay@acgcenter.com>  Tue, 27 Apr 2010 08:53:40 +0200

acgvision-agent (5.1.4-3) unstable; urgency=low

  * Initial release (Closes: #578719)
  * Adding debian/source/format file.
  * Adding "full stop" to description.

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 26 Apr 2010 18:35:00 +0200

acgvision-agent (5.1.4-2) unstable; urgency=low

  * Initial release (Closes: #578719)
  * Changed homepage to the community page on launchpad.
  * Improved package description. 
  * add acgvision-agent manpage.
  * Delete debian/conffiles.
  * Delete empty debian/prerm.
  * Removed sh extension from acgvision-agent.sh.
  * Renamed acg* scripts without ksh extensions.
  * add -e option to maintainer scripts.
  * adding force-reload to daemon rc file.
  * Edit debian/copyright file.
  * Remplacing openjdk6-jdk by default-jdk on build-dependencies.
  * Adding java:depends to build-dependencies.
  * Removed java-virtual-machine from build-dependencies.
  * Improving  logfile deletion on purging.
  * Add JAVA_HOME reference on debian/rules.

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 26 Apr 2010 14:19:00 +0200

acgvision-agent (5.1.4-1) unstable; urgency=low

  *Initial release on debian.

 -- Rémi Debay <remi.debay@acgcenter.com>  Thu, 01 Apr 2010 11:46:44 +0200

acgvision-agent (5.1.4) karmic; urgency=low

  - correction de ant-optional, erreur d'orthographe

 -- Rémi Debay <remi.debay@acgcenter.com>  Tue, 16 Mar 2010 17:55:41 +0100

acgvision-agent (5.1.4-0) unstable; urgency=low

  * Prise en charge des actions automatiques sur évènement. ticket:33
  * Améliorations de l'outil d'installation Windows.
  * Amélioration des logs.

 -- Rémi Debay <remi.debay@acgcenter.com>  Tue, 02 Mar 2010 14:11:57 +0100

acgvision-agent (5.1.2-0) unstable; urgency=low

  * No changes 

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 25 dec 2009 15:41:20 +0200

acgvision-agent (5.1.1-1) unstable; urgency=low

  * Amélioration des scripts de démarrage.
  * Correction du bug de dupplication des agents après réinstallation ticket:43
  * Validation du support des proxies avec login/mot de passe ticket:38
  * Améliorations sur la perte de liaison avec le core
  * Certificats pour Windows/Linux et support du https pour le site acgcenter.com ticket:3
  
 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 26 oct 2009 15:41:20 +0200

acgvision-agent (5.1.0-1) unstable; urgency=low
 
  * Connection à travers un proxy.
  * Mise en buffer des mesures si erreur de connexion au serveur.
  * Envoi groupé des mesures pour économies de CPU et de bande passante.
  * Meilleure gestion des logs en debug et info.
  * Gestion de l'indisponibilité du serveur sur l'envoi d'incidents.
  * Modification de l'installation du service windows.
  * Encapsulation du fichier jar dans l'exécutable windows.
  * Build des fichiers d'installation uniquement à partir d'une machine linux.
  * Elevation des privileges sous vista.
  * Tentative de reconnxion sur indisponibilité du core

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 01 oct 2009 15:41:20 +0200

acgvision-agent (5.0) unstable; urgency=low

  * Amélioration des moyennes sur les grandes mesures.
  * Release pour production.

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 16 sept 2009 15:41:20 +0200

acgvision-agent (4.9.1-3) unstable; urgency=low

  * Amélioration démarrage et redémarrage sous Linux.

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 04 sept 2009 15:41:20 +0200

acgvision-agent (4.9.1-2) unstable; urgency=low

  * Modifications de liens de dépendances, utilisation de liens génériques.
  * Compatibilité avec debian Sid.
  * Optimisations sur les répertoires de logs

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 01 sept 2009 15:41:20 +0200

acgvision-agent (4.9.1-1) unstable; urgency=low

  * Suppression des erreurs de détails sur les filesystem

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 12 aug 2009 15:41:20 +0200

acgvision-agent (4.9.1-0) unstable; urgency=low

  * Suppression du buffer.
  * Envoi de text avec evènement
  * Controles des valeures supérieures égales ou inférieures
  * Correction du processus d'enchainement des tâches  

 -- Rémi Debay <remi.debay@acgcenter.com>  Mon, 03 aug 2009 15:41:20 +0200

acgvision-agent (4.9.0-3) unstable; urgency=low

  * Version de maintenance après seconde soumission aux tests fonctionnels.
  * Amélioration de la pertinence des logs agents ticket:22
  * Suppression de doublons d'alertes ticket:13
  * Correction d'une inversion dans les relevés d'alertes sur moyenne ticket:19
  * Présentation email d'un nouvel hôte ticket:21
  * Mise à jour de agent.ini au premier démarrage ticket:22

 -- Rémi Debay <remi.debay@acgcenter.com>  Fri, 05 jun 2009 15:41:20 +0200

acgvision-agent (4.9.0-2) unstable; urgency=low

  * Initial release.
  * Initial release.jouts =
  * Envoi d'emails sur référencement d'un hôte ticket:5

