=== debian/control ===
Source: acgvision-agent
Section: net
Priority: optional
Maintainer: Rémi Debay <remi.debay@acgcenter.com>
Build-Depends: debhelper (>> 5), javahelper, default-jdk, default-jdk-builddep, ant, ant-optional, liblog4j1.2-java, libcommons-cli-java (>>1.1), libcommons-configuration-java (>>1.6), libcommons-logging-java (>>1.1.1), libcommons-collections3-java (>>3.2.1), junit4, ksh, ant-optional
Standards-Version: 3.8.4
Homepage: https://launchpad.net/acgvision-agent

Package: acgvision-agent
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java5-runtime | java6-runtime , ksh, liblog4j1.2-java, libcommons-cli-java (>>1.1), libcommons-configuration-java (>>1.6), libcommons-logging-java (>>1.1.1), libcommons-collections3-java (>>3.2.1)
Suggests: nagios-plugins
Description: Monitoring client for ACGVision.
 ACGVision is a client/server monitoring system. It is made of 4 parts:
  - acgvision-core is the server. It serves jobs to agents, computes
    information to display on the console and sends email about events.
  - acgvision-agent is the client. It monitors the system activity.
  - acgvision-console is a Joomla plugin displaying reports about 
    activity and allows selecting monitoring jobs for each agent.
  - acgvision-parameter is the GUI for creating jobs and templates (services)
    for acgvision.
 .
 Acgvision-agent is the client used by ACGVision to monitor the system
 activity. It can monitor CPU activity, memory, filesystem space, and
 processes. It is controlled by the acgvision server (like what to monitor,
 which commands to execute and when to execute them).
 .
 It checks the result and compares it to event values. If the value matches
 some criterias it sends an event to the core which will email it to the host
 owner and its followers. The event will also be displayed on the web console.
 .
 The client exchanges SOAP messages with the server via HTTP or HTTPS. It
 reports events and executes scripts on failure. It is compatible with many
 nagios scripts.
