=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH="/usr/share/java/commons-cli.jar:/usr/share/java/commons-collections3.jar:/usr/share/java/commons-configuration.jar:/usr/share/java/commons-lang.jar:/usr/share/java/commons-logging.jar:/usr/share/java/log4j-1.2.jar"

DEB_DESTDIR=debian/acgvision-agent

build: build-arch-stamp build-indep-stamp
	ant jar

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	# Build the package
	echo ${CLASSPATH}
	ant jar
	touch $@

clean:
	dh_testdir
	dh_testroot
	ant clean
	dh_clean
	rm -f build-stamp 

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

binary-arch: build-arch
	# Java packages are arch: all, nothing to do here

binary-indep: build-indep install-indep
	# Create the package here
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installman docs/acgvision-agent.1
	#Renaming script files without file extension
	mv $(DEB_DESTDIR)/usr/sbin/acgMeasureFileSystem.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgMeasureFileSystem
	mv $(DEB_DESTDIR)/usr/sbin/acgMeasureMemory.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgMeasureMemory
	mv $(DEB_DESTDIR)/usr/sbin/acgMeasureCpu.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgMeasureCpu
	mv $(DEB_DESTDIR)/usr/sbin/acgMeasureLoadAverage.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgMeasureLoadAverage
	mv $(DEB_DESTDIR)/usr/sbin/acgMeasureSwap.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgMeasureSwap
	mv $(DEB_DESTDIR)/usr/sbin/acgPresenceProcess.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgPresenceProcess
	mv $(DEB_DESTDIR)/usr/sbin/acgCountProcesses.ksh \
 		$(DEB_DESTDIR)/usr/sbin/acgCountProcesses
	mv $(DEB_DESTDIR)/usr/sbin/acgvision-agent.sh\
 		$(DEB_DESTDIR)/usr/sbin/acgvision-agent
	dh_link -i
	#Depends
	jh_depends -i -j sun6 -v
	#Compress
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

post-clean:
	dh_clean

binary: binary-indep binary-arch 
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install-indep  post-clean
